Last Comment Bug 811904 - Identify animated images again
: Identify animated images again
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.16
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 850072
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 14:18 PST by neil@parkwaycc.co.uk
Modified: 2013-03-11 17:36 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (2.75 KB, patch)
2012-11-14 14:21 PST, neil@parkwaycc.co.uk
philip.chee: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-11-14 14:18:28 PST
Bug 504041 removed scriptable access to the frame count for animated images. However it may still be possible to differentiate between an animated and a static image.
Comment 1 neil@parkwaycc.co.uk 2012-11-14 14:21:32 PST
Created attachment 681705 [details] [diff] [review]
Proposed patch

Unfortunately the best name for the string had already gone...
Comment 2 Philip Chee 2012-11-17 01:32:38 PST
Comment on attachment 681705 [details] [diff] [review]
Proposed patch

> Bug 504041 removed scriptable access to the frame count for animated images.
> However it may still be possible to differentiate between an animated and a
> static image.
I think you meant:
Bug 584841 - Create private mozilla::imagelib::Image API for imgIContainer implementations to inherit from.

Also see Firefox:
Bug 550686 - Page Info -> Media does not display the "animated" status & frame count in the "Type" field, for background images.
Bug 713889 - In Page Info -> Media, the "(animated, N frames)" text is missing from the "Type" line, for animated <img>.

Tested on: <http://people.mozilla.com/~dolske/apng/demo.html>
And <https://bug550686.bugzilla.mozilla.org/attachment.cgi?id=584381>

r=me.
Comment 3 neil@parkwaycc.co.uk 2012-11-17 03:43:25 PST
(In reply to Philip Chee from comment #2)
> > Bug 504041 removed scriptable access to the frame count for animated images.
> > However it may still be possible to differentiate between an animated and a
> > static image.
> I think you meant:
> Bug 584841 - Create private mozilla::imagelib::Image API for imgIContainer
> implementations to inherit from.
I think the strikeout must have confused me, although right now I can't actually reproduce the problem on any of my browsers...
Comment 4 neil@parkwaycc.co.uk 2012-11-18 16:31:55 PST
Pushed comm-central changeset 68047c3ae87f.
Comment 5 Frank Wein [:mcsmurf] 2012-11-27 06:00:47 PST
Fixing Target Milestone

Note You need to log in before you can comment on or make changes to this bug.